Page MenuHomePhabricator

Templatize CaptionsPanel.js
Closed, ResolvedPublic

Description

Refactor CaptionsPanel.js so that it doesn't write to the DOM directly, but uses mustache+dom templates instead

This is purely an engineering ticket, and so there should be no change in functionality

Acceptance criteria:

  • CaptionsPanel.js writes to the DOM using only templates
  • nothing breaks

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseMediaInfo : masterBase CaptionsPanel.js on ComponentWidget

Event Timeline

Cparle created this task.Jul 25 2019, 3:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 25 2019, 3:48 PM
Ramsey-WMF triaged this task as Low priority.Jul 27 2019, 12:21 AM
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.

Change 528825 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@master] Work in progress

https://gerrit.wikimedia.org/r/528825

Change 529373 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/UploadWizard@master] Adjustments to campaign schema for structured data

https://gerrit.wikimedia.org/r/529373

Restricted Application added a project: Multimedia. · View Herald TranscriptAug 10 2019, 11:55 PM

Change 528825 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Base CaptionsPanel.js on ComponentWidget

https://gerrit.wikimedia.org/r/528825

Cparle closed this task as Resolved.Oct 10 2019, 2:09 PM
Cparle claimed this task.

Change 528825 abandoned by Cparle:
Base CaptionsPanel.js on ComponentWidget

https://gerrit.wikimedia.org/r/528825